/* Hero Section */
.hero {
	min-height: 100vh;
	min-height: 100svh;
	display: flex;
	align-items: center;
	padding: 120px 0 80px;
	overflow: hidden;
}

.hero-title h1 {
	font-size: clamp(28px, 6vw, 60px);
	font-weight: 400;
	width: clamp(28px, 6vw, 600px);
}

.changing-wrapper {
	display: inline-block;
	height: 1em;
	min-width: 9ch;
	overflow: hidden;
	line-height: 1em;
}

.scroll-text {
	display: flex;
	flex-direction: column;
	transition: transform 0.6s cubic-bezier(0.77, 0, 0.175, 1);
}

.scroll-text span {
	height: 1em;
	line-height: 1em;
	display: flex;
	align-items: center;
	margin-bottom: 12px;
}

.gold {
	color: var(--orange-light);
	font-style: italic;
}

.hero-title {
	font-size: clamp(28px, 6vw, 60px);
	font-weight: 400;
	display: flex;
	align-items: baseline;
	gap: clamp(6px, 1vw, 12px);
}

.hero-actions .btn {
	font-size: 16px;
	padding: 14px 28px;
	margin-bottom: 25px;
}

.hero-grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	align-items: center;
	max-width: 1100px;
	margin: 0 auto;
}

.hero-content {
	display: flex;
	flex-direction: column;
	align-items: start;
}

.hero-visual {
	display: flex;
	align-items: center;
	justify-self: end;
}

.image-card {
	width: clamp(260px, 85vw, 420px);
	aspect-ratio: 1 / 1;
	background: var(--bg-card);
	border: 2px solid var(--border-color);
	position: relative;

	overflow: hidden;
}

.image-stack {
	display: flex;
	flex-direction: column;
	height: 100%;
	transition: transform 0.6s cubic-bezier(0.77, 0, 0.175, 1);
}

.image-stack img {
	width: 100%;
	height: 100%;
	flex-shrink: 0;
	/* object-fit: contain; */
	object-fit: cover;
	object-position: center;
}


@media (max-width: 768px) {
	.hero {
		padding: 40px 0;
		height: 100svh;
	}

	.hero-actions .btn {
		font-size: 12px;
		padding: 10px 20px;
		margin-top: 5px;
	}
}

@media (max-width: 992px) {
	.hero-grid {
		grid-template-columns: 1fr;
		row-gap: 40px;
		text-align: center;
	}

	.hero-content {
		display: flex;
		flex-direction: column;
		align-items: start;
	}

	.hero-visual {
		order: -1;
		justify-self: center;
	}
}